"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const mobx_react_1 = require("mobx-react");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = require("../../store/context");
const cell_1 = tslib_1.__importDefault(require("./cell"));
function Row(props) {
    const store = react_1.useContext(context_1.TableContext);
    const selectRecord = () => store.select(props.record);
    return (react_1.default.createElement("tr", { onClick: selectRecord, className: classnames_1.default({
            'url_table__row--selected': store.selectedItems[props.record[store.props.indexField]]
        }) }, store.fields.map((field) => react_1.default.createElement(cell_1.default, { rowIndex: props.rowIndex, key: field.property, field: field, record: props.record, editable: store.isEditableField(field) }))));
}
exports.default = mobx_react_1.observer(Row);
//# sourceMappingURL=row.js.map