"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const get_1 = tslib_1.__importDefault(require("lodash/get"));
const mobx_react_1 = require("mobx-react");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = require("../../store/context");
const loading_1 = tslib_1.__importDefault(require("./loading"));
const no_data_1 = tslib_1.__importDefault(require("./no-data"));
const row_1 = tslib_1.__importDefault(require("./row"));
function Tbody(props) {
    const store = react_1.useContext(context_1.TableContext);
    return (react_1.default.createElement("tbody", null,
        !store.isLoading && !store.displayData.data.length && react_1.default.createElement(no_data_1.default, null),
        store.isLoading ? react_1.default.createElement(loading_1.default, null) :
            store.displayData.data.map((record, index) => react_1.default.createElement(row_1.default, { key: get_1.default(record, store.props.indexField), rowIndex: index, record: record }))));
}
exports.default = mobx_react_1.observer(Tbody);
//# sourceMappingURL=tbody.js.map