"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const debounce_1 = tslib_1.__importDefault(require("lodash/debounce"));
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = require("../../store/context");
const INPUT_DEBOUNCE_MS = 200;
function SearchInput() {
    const store = react_1.useContext(context_1.TableContext);
    const inputRef = react_1.useRef(null);
    const onInputHandler = debounce_1.default(() => {
        if (inputRef.current) {
            store.search(inputRef.current.value);
        }
    }, INPUT_DEBOUNCE_MS);
    return (react_1.default.createElement("div", { className: "url_table__search" },
        react_1.default.createElement("input", { type: "text", ref: inputRef, className: "url_table__search__input", placeholder: "Search", onChange: onInputHandler })));
}
exports.default = SearchInput;
//# sourceMappingURL=searchInput.js.map