"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const mobx_react_1 = require("mobx-react");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = require("../../../store/context");
const badge_1 = tslib_1.__importDefault(require("./badge"));
function SortingPanel() {
    const store = react_1.useContext(context_1.TableContext);
    const sortingOptions = Object.entries(store.sorting);
    const removeFromSorting = (property) => () => store.removeFromSorting(property);
    return (react_1.default.createElement("div", { className: "url_table__sorting_panel" }, sortingOptions.map(([property, sortingOpts]) => react_1.default.createElement(badge_1.default, { key: property, property: property, headerName: sortingOpts.headerName, order: sortingOpts.order, onClose: removeFromSorting(property) }))));
}
exports.default = mobx_react_1.observer(SortingPanel);
//# sourceMappingURL=index.js.map