"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const mobx_react_1 = require("mobx-react");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = require("../../store/context");
function Header(props) {
    const header = props.header;
    const store = react_1.useContext(context_1.TableContext);
    const property = store.fields[header.index].property;
    const sortingOptions = store.sorting[property];
    const sortingEvent = () => store.sort(header);
    const getHeaderEvents = {
        onClick: (store.props.sorting && header.sortable ? sortingEvent : null)
    };
    return (react_1.default.createElement("th", Object.assign({}, getHeaderEvents, { className: classnames_1.default('url_table__header', sortingOptions ? `url_table__header--sorted-${sortingOptions.order}` : null) }), header.render()));
}
exports.default = mobx_react_1.observer(Header);
//# sourceMappingURL=header.js.map