"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const mobx_react_1 = require("mobx-react");
const react_1 = tslib_1.__importStar(require("react"));
const react_paginate_1 = tslib_1.__importDefault(require("react-paginate"));
const context_1 = require("../../store/context");
function Pagination() {
    const store = react_1.useContext(context_1.TableContext);
    const onPageChange = (page) => {
        store.currentPage = page.selected;
    };
    if (store.displayData.pageCount > 1 && !store.isLoading && store.displayData.data.length) {
        return react_1.default.createElement(react_paginate_1.default, Object.assign({ onPageChange: onPageChange }, store.props.pagination, { forcePage: store.currentPage, containerClassName: "url_table__pagination", pageClassName: "url_table__pagination__page", activeClassName: "url_table__pagination__page--selected", disabledClassName: "url_table__pagination__page--disabled", pageCount: store.displayData.pageCount }));
    }
    return null;
}
exports.default = mobx_react_1.observer(Pagination);
//# sourceMappingURL=index.js.map